%define upstream_name    HTML-Restrict
%define upstream_version 2.1.8

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Strip away unwanted HTML tags and attributes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(HTML::Parser)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moo) >= 1.2.0
BuildRequires: perl(MooX::Types::MooseLike) >= 0.230.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Quote)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module uses _HTML::Parser_ to strip HTML from text in a restrictive
manner. By default all HTML is restricted. You may alter the default
behaviour by supplying your own tag rules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc CONTRIBUTORS Changes INSTALL LICENSE META.json MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.1.8-2.mga4
+ Revision: 527664
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 2.1.8-1.mga4
+ Revision: 441604
- update to 2.1.8

* Sun Jan 13 2013 umeabot <umeabot> 1.0.4-2.mga3
+ Revision: 368070
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 shlomif <shlomif> 1.0.4-1.mga3
+ Revision: 335093
- imported package perl-HTML-Restrict


* Tue Dec 25 2012 cpan2dist 1.0.4-1mga
- initial mageia release, generated with cpan2dist
